[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: why does webalizer depend from a web-server?



"Christian H. Kuhn" <debian@qno.de> writes:

> I'm using webalizer for different apache logs. The machine where i'm
> looking through the webalizer output is different from the
> servers. Now i have to install a webserver on my workstation. This is
> IMHO very unnecessary, but such are the dependencies of webalizer. Can
> anyone explain that dependency? The package maintainer did not answer

apt-cache shows me the following :

============================================================
Package: webalizer
[...]
Version: 2.01.10-10
Depends: libc6 (>= 2.3.1-1), libdb3 (>= 3.2.9-17), libgd2-noxpm (>= 2.0.4) | libgd2-xpm (>= 2.0.4), libpng12-0, zlib1g (>= 1:1.1.4)
Pre-Depends: debconf (>= 0.2.17)
Suggests: httpd
============================================================

As you can see, it suggests a webserver but does not depend on it.
Perhaps you are talking about an old version of this package ?

Cheers,
Benjamin  

-- 
  .''`.
 ; ;' ;      Debian GNU/Linux     |   Benjamin Drieu
 `. `'    http://www.debian.org/  |  <benj@debian.org>
   `-    

Attachment: pgpWolZQZiNzO.pgp
Description: PGP signature


Reply to: